Subject: Re: [PATCH] configs/debug: add NET debug config

From: Jakub Kicinski <[email-masked]>
Date: Mon, 12 Feb 2024 17:02:53 -0800

On Mon, 12 Feb 2024 10:39:55 -0800 Kees Cook wrote:
> > Notes:
> >   - It looks like this debug.config doesn't have a specific maintainer.
> >     If this patch is not rejected, I don't know if this modification can
> >     go through the net tree, or if it should be handled by Andrew.
> >     Probably the latter? I didn't add [net-next] in the subject for this
> >     reason.  
> 
> Adding these seem reasonable. I touched debug.config last, so I can take
> it via the kernel hardening tree if netdev doesn't want to take it.

I'd prefer to have it in net-next sooner rather than later, because
when our CI hits an issue we can tell people:

	make defconfig debug.config
	make

otherwise I have to explain what options to twiddle with. And the
refcount options do catch bugs, I had to do this exact the explaining
last Friday :(

So I'd offer these three options:
 - we put it on a shared branch and both pull in
 - you send to Linus within a week and we'll get it soon that way
 - we take it to net-next directly

What's your preference?